DTMODEL=/proc/device-tree/model

get_dt_model() {
	if [ -f "$DTMODEL" ]; then
		cat "$DTMODEL" | cut -d " " -f 2 | sed 's/-//' | tr '[A-Z]' '[a-z]'
	fi
}

arch_get_kernel_flavour () {
 	echo "arm64"
	return 0
}

arch_check_usable_kernel () {
	local flavour="$2"

	case "$1" in
		linux-image-odroid* | \
		linux-image-generic | \
		linux-image-*-odroid*-$flavour)
			return 0
			;;
		*-"$flavour"-dbg)
			return 1
			;;
		*)
			return 1
			;;
	esac
}

arch_get_kernel () {
	model=$(get_dt_model "$1")
	if [ "x$model" != "x" ]; then
		case "$model" in
			odroidn2)
				;;
			*)
				echo "linux-image-$model"
				return
				;;
		esac
	fi
	echo "linux-image-generic"
}
